<?php

namespace App\Orchid\Layouts\Color;

use Orchid\Screen\Layouts\Rows;
use Orchid\Screen\Fields\Input;

class ColorCreateLayout extends Rows {

  protected $title;

  protected function fields(): iterable {
    return [
      Input::make('color.name')
        ->type('text')
        ->required()
        ->title(__('Name'))
        ->placeholder(__('Color name')),

      Input::make('color.code')
        ->type('color')
        ->required()
        ->title(__('Code'))
        ->value('#563d7c'),
    ];
  }
}
